Bug 76276 - Screensaver Preferences list jumps when selecting/deslecting a screensaver.
Screensaver Preferences list jumps when selecting/deslecting a screensaver.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
8.0
i686 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 19:44 EDT by Douglas Furlong
Modified: 2014-03-16 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 17:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Furlong 2002-10-18 19:44:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When the screen saver mode is set to random and you wish to change the
screensavers you want the system to select between the active selected option
when "activated" or "de-activated" causes said selection to jump to the top (if
originaly at the bottom) or to the bottom when originally was at the top.

This results in having to move the mouse from the bottom of the screen to the
top and vica versa when wishing to de-select/re-select a screen saver to be
included in the list.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open up the XScreenSaver Preferences window.
2. Make sure "Random Screen Saver" is the mode.
3. Scroll to the bottom of the list.
4. Start selecting/de-selecting screen savers to be included in the list.
	

Actual Results:  The currently selected item jumps to a different position
requiring excessive movement of the mouse to deselect or select desired screen
savers.

Expected Results:  I would expect the list not to move. unless one is at the
very bottom of the screen, then for the list to be moved slightly displaying the
next available option if one is available.

Additional info:
Comment 1 Douglas Furlong 2002-10-18 19:50:07 EDT
I would just like to confirm the steps to Reproduce the Error...

Steps to Reproduce:
1. Open up the XScreenSaver Preferences window.
2. Make sure "Random Screen Saver" is the mode.
3. Scroll to the bottom of the list.
4. Start selecting/de-selecting screen savers to be included in the list, start
from the top of the visible list.

Ie, scroll to the bottom, and then take the top one from the visible window.

If this does not work just try going from the very top of the list and
deselecting each item in the list, it will start jumping when you are about
3/5's of the way from the bottom.

Sorry if this was not clear before.
Comment 2 Bill Nottingham 2003-02-06 17:42:18 EST
Should be fixed in 4.07-1.

Note You need to log in before you can comment on or make changes to this bug.